<?php
/**
 * Block Information & Attributes File.
 *
 * @since 1.0.0
 *
 * @package spectra-pro
 */
$form_border_attribute   = UAGB_Block_Helper::uag_generate_border_attribute( 'form' );
$fields_border_attribute = UAGB_Block_Helper::uag_generate_border_attribute( 'fields' );
$login_border_attribute  = UAGB_Block_Helper::uag_generate_border_attribute( 'login' );

return array_merge(
	array(
		// form.
		'formWidth'                       => '100',
		'formWidthType'                   => '%',
		'formWidthTablet'                 => '100',
		'formWidthTypeTablet'             => '%',
		'formWidthMobile'                 => '100',
		'formWidthTypeMobile'             => '%',
		'formTopPadding'                  => '',
		'formRightPadding'                => '',
		'formLeftPadding'                 => '',
		'formBottomPadding'               => '',
		'formTopPaddingTablet'            => '',
		'formRightPaddingTablet'          => '',
		'formLeftPaddingTablet'           => '',
		'formBottomPaddingTablet'         => '',
		'formTopPaddingMobile'            => 20,
		'formRightPaddingMobile'          => 30,
		'formLeftPaddingMobile'           => 30,
		'formBottomPaddingMobile'         => 20,
		'formPaddingUnit'                 => 'px',
		'formPaddingUnitTablet'           => 'px',
		'formPaddingUnitMobile'           => 'px',
		'formPaddingLink'                 => '',
		'formRowsGapSpace'                => 20,
		'formRowsGapSpaceTablet'          => '',
		'formRowsGapSpaceMobile'          => '',
		'formRowsGapSpaceUnit'            => 'px',
		'eyeIconColor'                    => '',
		// checkbox.
		'checkboxSize'                    => 20,
		'checkboxBackgroundColor'         => '',
		'checkboxColor'                   => '',
		'checkboxBorderWidth'             => 1,
		'checkboxBorderRadius'            => 2,
		'checkboxBorderColor'             => '',
		'checkboxGlowEnable'              => true,
		'checkboxGlowColor'               => '#2271b1',
		// reCaptcha.
		'reCaptchaEnable'                 => false,
		'reCaptchaType'                   => 'v2',


		// label.
		'labelColor'                      => '',
		'labelHoverColor'                 => '',
		'labelFontFamily'                 => 'Default',
		'labelFontWeight'                 => '',
		'labelFontStyle'                  => 'normal',
		'labelTransform'                  => '',
		'labelDecoration'                 => '',
		'labelLetterSpacing'              => '',
		'labelLetterSpacingTablet'        => '',
		'labelLetterSpacingMobile'        => '',
		'labelLetterSpacingType'          => 'px',
		'labelFontSizeType'               => 'px',
		'labelLineHeightType'             => 'em',
		'labelFontSize'                   => '',
		'labelFontSizeTablet'             => '',
		'labelFontSizeMobile'             => '',
		'labelLineHeight'                 => '',
		'labelLineHeightTablet'           => '',
		'labelLineHeightMobile'           => '',
		'labelTopMargin'                  => '',
		'labelRightMargin'                => '',
		'labelLeftMargin'                 => '',
		'labelBottomMargin'               => '',
		'labelTopMarginTablet'            => '',
		'labelRightMarginTablet'          => '',
		'labelLeftMarginTablet'           => '',
		'labelBottomMarginTablet'         => '',
		'labelTopMarginMobile'            => '',
		'labelRightMarginMobile'          => '',
		'labelLeftMarginMobile'           => '',
		'labelBottomMarginMobile'         => '',
		'labelMarginUnit'                 => 'px',
		'labelMarginUnitTablet'           => 'px',
		'labelMarginUnitMobile'           => 'px',
		// fields.
		'fieldsBackground'                => '',
		'fieldsBackgroundHover'           => '',
		'fieldsBackgroundActive'          => '',
		'placeholderColor'                => '',
		'placeholderColorHover'           => '',
		'placeholderColorActive'          => '',
		'fieldsColor'                     => '',
		'fieldsFontFamily'                => 'Default',
		'fieldsFontWeight'                => '',
		'fieldsFontStyle'                 => 'normal',
		'fieldsTransform'                 => '',
		'fieldsDecoration'                => '',
		'fieldsLetterSpacing'             => '',
		'fieldsLetterSpacingTablet'       => '',
		'fieldsLetterSpacingMobile'       => '',
		'fieldsLetterSpacingType'         => 'px',
		'fieldsFontSizeType'              => 'px',
		'fieldsLineHeightType'            => 'em',
		'fieldsFontSize'                  => '',
		'fieldsFontSizeTablet'            => '',
		'fieldsFontSizeMobile'            => '',
		'fieldsLineHeight'                => '',
		'fieldsLineHeightTablet'          => '',
		'fieldsLineHeightMobile'          => '',
		// fields padding.
		'paddingFieldTop'                 => '',
		'paddingFieldRight'               => '',
		'paddingFieldBottom'              => '',
		'paddingFieldLeft'                => '',
		'paddingFieldTopTablet'           => '',
		'paddingFieldRightTablet'         => '',
		'paddingFieldBottomTablet'        => '',
		'paddingFieldLeftTablet'          => '',
		'paddingFieldTopMobile'           => '',
		'paddingFieldRightMobile'         => '',
		'paddingFieldBottomMobile'        => '',
		'paddingFieldLeftMobile'          => '',
		'paddingFieldUnit'                => 'px',
		'paddingFieldUnitmobile'          => 'px',
		'paddingFieldUnitTablet'          => 'px',
		// icon.
		'fieldsIconSize'                  => 12,
		'fieldsIconSizeType'              => 'px',
		'fieldsIconColor'                 => '#555D66',
		'fieldsIconBorderWidth'           => 1,
		'fieldsIconBorderColor'           => '',
		// link.
		'linkColor'                       => true,
		'linkHColor'                      => true,
		// login button.
		'loginSize'                       => 'default',
		'loginBackground'                 => '',
		'loginColor'                      => '',
		'loginHBackground'                => '',
		'loginHColor'                     => '',
		'loginFontFamily'                 => 'Default',
		'loginFontWeight'                 => '',
		'loginFontStyle'                  => 'normal',
		'loginDecoration'                 => '',
		'loginFontSizeType'               => 'px',
		'loginLineHeightType'             => 'em',
		'loginFontSize'                   => '',
		'loginTransform'                  => '',
		'loginFontSizeTablet'             => '',
		'loginFontSizeMobile'             => '',
		'loginLetterSpacing'              => '',
		'loginLetterSpacingTablet'        => '',
		'loginLetterSpacingMobile'        => '',
		'loginLetterSpacingType'          => 'px',
		'loginLineHeight'                 => '',
		'loginLineHeightTablet'           => '',
		'loginLineHeightMobile'           => '',
		'loginTopPadding'                 => '',
		'loginRightPadding'               => '',
		'loginLeftPadding'                => '',
		'loginBottomPadding'              => '',
		'loginTopPaddingTablet'           => '',
		'loginRightPaddingTablet'         => '',
		'loginLeftPaddingTablet'          => '',
		'loginBottomPaddingTablet'        => '',
		'loginTopPaddingMobile'           => '',
		'loginRightPaddingMobile'         => '',
		'loginLeftPaddingMobile'          => '',
		'loginBottomPaddingMobile'        => '',
		'loginPaddingUnit'                => 'px',
		'loginPaddingUnitTablet'          => 'px',
		'loginPaddingUnitMobile'          => 'px',

		// settings.
		'redirectAfterLoginURL'           => '',
		'redirectAfterLogoutURL'          => '',
		// message.
		'errorMessageBackground'          => '#f8d7da',
		'errorMessageColor'               => '#721c24',
		'errorMessageBorderColor'         => '#ff0000',
		'successMessageBackground'        => '#d4edda',
		'successMessageColor'             => '#155724',
		'successMessageBorderColor'       => '#008000',
		// register Info style.
		'registerInfoLoadGoogleFonts'     => false,
		'registerInfoFontFamily'          => 'Default',
		'registerInfoFontWeight'          => '',
		'registerInfoFontSize'            => '',
		'registerInfoFontSizeType'        => 'px',
		'registerInfoFontSizeTablet'      => '',
		'registerInfoFontSizeMobile'      => '',
		'registerInfoLineHeight'          => '',
		'registerInfoLineHeightType'      => 'em',
		'registerInfoLineHeightTablet'    => '',
		'registerInfoLineHeightMobile'    => '',
		'registerInfoFontStyle'           => 'normal',
		'registerInfoLetterSpacing'       => '',
		'registerInfoLetterSpacingTablet' => '',
		'registerInfoLetterSpacingMobile' => '',
		'registerInfoLetterSpacingType'   => 'px',
		'registerInfoColor'               => '',
		'registerInfoHoverColor'          => '',
		'registerInfoDecoration'          => '',
		'registerInfoTransform'           => '',
		'overallAlignment'                => '',
		'alignLoginBtn'                   => 'full',
		'alignLoginBtnTablet'             => 'full',
		'alignLoginBtnMobile'             => 'full',
		'eyeIconSize'                     => 20,
		'eyeIconSizeType'                 => 'px',
		'ctaIcon'                         => '',
		'ctaIconPosition'                 => 'after',
		'ctaIconSpace'                    => 5,
		'ctaIconSpaceTablet'              => '',
		'ctaIconSpaceMobile'              => '',
		'ctaIconSpaceType'                => 'px',
		'backgroundType'                  => 'none',
		'backgroundImageDesktop'          => '',
		'backgroundImageTablet'           => '',
		'backgroundImageMobile'           => '',
		'backgroundPositionDesktop'       => array(
			'x' => 0.5,
			'y' => 0.5,
		),
		'backgroundPositionTablet'        => '',
		'backgroundPositionMobile'        => '',
		'backgroundSizeDesktop'           => 'cover',
		'backgroundSizeTablet'            => '',
		'backgroundSizeMobile'            => '',
		'backgroundRepeatDesktop'         => 'no-repeat',
		'backgroundRepeatTablet'          => '',
		'backgroundRepeatMobile'          => '',
		'backgroundAttachmentDesktop'     => 'scroll',
		'backgroundAttachmentTablet'      => '',
		'backgroundAttachmentMobile'      => '',
		'backgroundColor'                 => '',
		'backgroundOpacity'               => '',
		'backgroundImageColor'            => '#FFFFFF75',
		'gradientValue'                   => 'linear-gradient(90deg, rgba(6, 147, 227, 0.5) 0%, rgba(155, 81, 224, 0.5) 100%)',
		'gradientColor1'                  => '#06558a',
		'gradientColor2'                  => '#0063a1',
		'gradientType'                    => 'linear',
		'gradientLocation1'               => 0,
		'gradientLocation2'               => 100,
		'gradientAngle'                   => 0,
		'selectGradient'                  => 'basic',
		'backgroundCustomSizeDesktop'     => 100,
		'backgroundCustomSizeTablet'      => '',
		'backgroundCustomSizeMobile'      => '',
		'backgroundCustomSizeType'        => '%',
		'overlayType'                     => 'none',
		'customPosition'                  => 'default',
		'xPositionDesktop'                => '',
		'xPositionTablet'                 => '',
		'xPositionMobile'                 => '',
		'xPositionType'                   => 'px',
		'xPositionTypeTablet'             => 'px',
		'xPositionTypeMobile'             => 'px',
		'yPositionDesktop'                => '',
		'yPositionTablet'                 => '',
		'yPositionMobile'                 => '',
		'yPositionType'                   => 'px',
		'yPositionTypeTablet'             => 'px',
		'yPositionTypeMobile'             => 'px',
		// shadow.
		'boxShadowColor'                  => '#00000070',
		'boxShadowHOffset'                => 0,
		'boxShadowVOffset'                => 0,
		'boxShadowBlur'                   => '',
		'boxShadowSpread'                 => '',
		'boxShadowPosition'               => 'outset',
		'boxShadowColorHover'             => '',
		'boxShadowHOffsetHover'           => 0,
		'boxShadowVOffsetHover'           => 0,
		'boxShadowBlurHover'              => '',
		'boxShadowSpreadHover'            => '',
		'boxShadowPositionHover'          => 'outset',
		'usernameLabel'                   => __( 'Username or Email Address', 'spectra-pro' ),
		'passwordLabel'                   => __( 'Password', 'spectra-pro' ),
	),
	$form_border_attribute,
	$fields_border_attribute,
	$login_border_attribute,
	array(
		'formBorderStyle'   => 'default',
		'fieldsBorderStyle' => 'default',
		'loginBorderStyle'  => 'default',
	)
);
